[Rubygems-developers] Please test for a 1.3.1

Chad Woolley thewoolleyman at gmail.com
Thu Oct 30 02:36:19 EDT 2008


On Wed, Oct 29, 2008 at 5:13 PM, Eric Hodel <drbrain at segment7.net> wrote:

> If you're using the API to install gems, you get the benefit of the
> :install_dir option, so there's no need to set any environment variables.
>  If you're writing a script that drives bin/gem, you can either set an
> environment variable or specify a path with --install-dir.
>

Right, but this means that any app or script that wants to use gems from
this custom location must set the proper environment variables for gem home
and path.  This is more difficult and system-dependent than simply having
the proper values in a cross-platform ~/.gemrc, which will be used whenever
rubygems is invoked.


> gem_prelude.rb (and prelude.rb) aren't supposed to do much, and that
> includes opening and parsing files, even with a naive yaml parser.  It's
> more of a political problem than a technical problem.
>

Well, hopefully all the political problems will go away after the
election...

Thanks for the response.

-- Chad
-------------- next part --------------
An HTML attachment was scrubbed...
URL: <http://rubyforge.org/pipermail/rubygems-developers/attachments/20081029/34e19755/attachment.html>


More information about the Rubygems-developers mailing list